<template>
  <form class="px-4" @submit.prevent="submit" novalidate>
    <div class="form-group">
      <label for="email" class="small mb-0">Correo electrónico</label>
      <input
        type="email"
        id="email"
        placeholder="Ingresa tu correo electrónico"
        class="form-control"
        v-model.trim="email"
      />

      <span class="form-error" v-if="$v.email.$error && !$v.email.required">El correo electrónico es requerido</span>
      <span class="form-error" v-if="$v.email.$error && !$v.email.email">Debe ingresar un correo electrónico</span>
    </div>

    <div class="form-group">
      <label for="password" class="small mb-0">Contraseña</label>
      <input
        type="password"
        id="password"
        placeholder="Ingresa tu contraseña"
        class="form-control"
        v-model="password"
      />

      <span class="form-error" v-if="$v.password.$error && !$v.password.required">La contraseña es requerida</span>
    </div>

    <b-form-checkbox
      id="checkbox-1"
      v-model="rememberAccount"
      name="checkbox-1"
    >
      <span class="small">Recordar mi cuenta</span>
    </b-form-checkbox>

    <div class="form-group mt-3">
      <button
        type="submit"
        class="btn btn-primary btn-block mb-3 text-white"
        @click="sectionType = 'login'"
      >
        Ingresar
      </button>
    </div>
  </form>
</template>

<script>
import {required, email} from "vuelidate/lib/validators";

export default {
  name: "FormLogin",
  data() {
    return {
      email: null,
      password: null,
      rememberAccount: false,
    };
  },
  validations: {
    email: {
      required,
      email
    },
    password: {
      required
    }
  },
  methods: {
    submit() {
      this.$v.$touch();
      if (this.$v.$error) return;

      console.log("Login");
    },
  },
};
</script>

<style>
</style>